tigase.auth.mechanisms

## Class SaslPLAIN

- java.lang.Object
- - tigase.auth.mechanisms.AbstractSasl
  - - tigase.auth.mechanisms.SaslPLAIN

- All Implemented Interfaces:
    SaslServer

      public class SaslPLAIN
      extends AbstractSasl

  SASL-PLAIN mechanism.
  Called callbacks in order:
  - `NameCallback`
  - `VerifyPasswordCallback`
  - `AuthorizeCallback`

- - ### Field Summary

    - ### Fields inherited from class tigase.auth.mechanisms.AbstractSasl

      `authorizedId, callbackHandler, complete, log, negotiatedProperty, props, SASL_STRICT_MODE_KEY`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `evaluateResponse(byte[] response)`
    `String` | `getAuthorizationID()`
    `String` | `getMechanismName()`
    `byte[]` | `unwrap(byte[] incoming, int offset, int len)`
    `byte[]` | `wrap(byte[] outgoing, int offset, int len)`

    - ### Methods inherited from class tigase.auth.mechanisms.AbstractSasl

      `dispose, getNegotiatedProperty, handleCallbacks, isAuthzIDIgnored, isComplete, isEmpty, split`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### evaluateResponse

          public byte[] evaluateResponse(byte[] response)
                                  throws SaslException

      Throws:
        `SaslException`

    - #### getAuthorizationID

          public String getAuthorizationID()

    - #### getMechanismName

          public String getMechanismName()

    - #### unwrap

          public byte[] unwrap(byte[] incoming,
                               int offset,
                               int len)
                        throws SaslException

      Throws:
        `SaslException`

    - #### wrap

          public byte[] wrap(byte[] outgoing,
                             int offset,
                             int len)
                      throws SaslException

      Throws:
        `SaslException`

Copyright © 2022 "Tigase, Inc.". All rights reserved.